/*****************************************************************************/
/*          refgateway stub functions for proper and save usage              */
/*                  of the RPI_do(in,out) commands.                          */
/*****************************************************************************/
/* title:    plugin-data_save/load functions */
/* author:   Carsten Fuchs  */
/* version:  1.1, 8.10.98   */
/* updated:  16.11.99 by RG */
/* updated:  2.3.2000 by RG */
/*****************************************************************************/
/* change object-pointers into handles, which can be saved */

   RPIStub long
RPI_get_obj_save_handles
   (RPI_HANDLE handle,long nobjs,RPI_OBJECT *objs,long *handles);

   /* handle:       refgateway-handle
      nobjs:        number of objects
      objs:         array with <nobjs> objects
      handles:      destination for <nobjs> handles
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
/* change object-handles, which have been loaded, into pointers */

   RPIStub long
RPI_get_obj_load_pointers
   (RPI_HANDLE handle,long nobjs,RPI_OBJECT *objs,long *handles);

   /* handle:       refgateway-handle
      nobjs:        number of objects
      objs:         destinations for <nobjs> object-pointers
      handles:      array with <nobjs> handles
      returns:      0 if failed
                    1 if ok
   */
/*****************************************************************************/
