/*****************************************************************************/
/*          refgateway stub functions for proper and save usage              */
/*                  of the RPI_do(in,out) commands.                          */
/*****************************************************************************/

/* title:    defines to be copied to your plugin source */
/* author:   Reinhard Grams */
/* version:  1.0, 24.11.99 */
/* updated:  24.2.2000 by RG */
/* updated:  2.3.2000 by RG */

/*****************************************************************************/
/* set this to 43 or less if you compile for an older version */

#define MONZOOM_VERSION 45

/*****************************************************************************/
/* define this if you use the skeleton's standard config io */

#undef PLUGIN_STANDARD_CONFIG_HANDLING

/*****************************************************************************/
/* undef this if you don't want to use the MonStubs.dll */

#define PLUGIN_STUBS_LIBRARY

/*****************************************************************************/
/* maybe defined as __inline or __declspec(dllimport) */

#define RPIStub __declspec(dllimport)

/*****************************************************************************/
/* use 1 to get the stubs included, 0 otherwise */
/* if you do not care for the size of your DLL, you can set all to 1 */
/* this defs are used in "rgw_all.h" */

#define INCLUDE_GUI_STUBS           0
#define INCLUDE_PKL_STUBS           0
#define INCLUDE_GEO_EDIT_STUBS      0
#define INCLUDE_OPERATIONS_STUBS    0
#define INCLUDE_CREATE_STUBS        0
#define INCLUDE_OBJECT_STUBS        0
#define INCLUDE_GEO_STUBS           0
#define INCLUDE_EDGES_STUBS         0
#define INCLUDE_TRIANGLE_STUBS      0
#define INCLUDE_MATERIALS_STUBS     0
#define INCLUDE_MEMORY_STUBS        0
#define INCLUDE_FILE_STUBS          0
#define INCLUDE_POLYGON_STUBS       0
#define INCLUDE_PARTICLE_STUBS      0
#define INCLUDE_SPHERES_STUBS       0
#define INCLUDE_DATA_STUBS          0
#define INCLUDE_DISPLAY_STUBS       0
#define INCLUDE_AFTERBURNER_STUBS   0
#define INCLUDE_AFX_STUBS           0
#define INCLUDE_CAMERA_STUBS        0

/*****************************************************************************/

/* this file will include everything needed */
#include <rgw_all.h>

/*****************************************************************************/
