/*****************************************************************************/
/*          refgateway stubs definitions for proper and save usage           */
/*                      of the RPI_do(in,out) commands.                      */
/*****************************************************************************/

/* title:    refgateway stubs functions */
/* author:   Reinhard Grams  */
/* version:  1.0, 8.12.99   */
/* updated:  14.1.2000 by RG */
/* updated:  2.3.2000 by RG */

/*****************************************************************************/

#ifndef STUB_DATA_INCLUDED
#define STUB_DATA_INCLUDED

/*****************************************************************************/

/* auto load data tables, private */

#ifdef PLUGIN_STANDARD_CONFIG_HANDLING

long data_size[DATA_TYPES] = { 

   sizeof(char),
   sizeof(float),
   sizeof(long),
   sizeof(short), 
};

DataIO data_read = {
   
   { RPI_file_read_binary,
     RPI_file_read_floats,
     RPI_file_read_longs,
     RPI_file_read_shorts }
};

DataIO data_write = {
   
   { RPI_file_write_binary,
     RPI_file_write_floats,
     RPI_file_write_longs,
     RPI_file_write_shorts }
};

#endif

/*****************************************************************************/

#endif

/*****************************************************************************/
